Hey,

i think we also should look at this issue.

sandro

----------  Forwarded Message  ----------

Subject: KGlobalAccel regression in latest frameworks release
Date: Mittwoch, 13. September 2017, 18:23:48 CEST
From: Martin Flöser <mgraess...@kde.org>
To: plasma-de...@kde.org, kde-frameworks-de...@kde.org, release-t...@kde.org
CC: j...@jriddell.org

Hi all,

unfortunately I have to inform you that KGlobalAccel has a severe 
regression [1] in the latest framework release resulting in many 
shortcuts no longer functioning.

As the current frameworks release is the one the next Plasma release is 
going to depend on, we need to act quickly. In the current state I would 
say a release of Plasma requiring this frameworks version is an absolute 
no-no, this is release blocking. I'm saying this as the maintainer of 
kglobalaccel and of the most affected application KWin.

Following recommendations from my side:
* distributions who have not yet shipped out the latest frameworks 
release should hold back kglobalaccel and maybe kwindowsystem
* in KGlobalAccel we need to get a fix for it, I'm not able to provide 
it, though.
* Otherwise I would suggest that the change in KGlobalAccel gets 
reverted

Due to the fact that Plasma depends on this release we must act quickly 
and do a bug fix release for frameworks even if this is uncommon and 
against the practice.

Sorry for any inconveniences.

Martin Flöser
KGlobalAccel maintainer

[1] https://bugs.kde.org/show_bug.cgi?id=384597

-----------------------------------------

Attachment: signature.asc
Description: This is a digitally signed message part.

-- 
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-talk

Reply via email to